aboutsummaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure51
1 files changed, 51 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..138997e
--- /dev/null
+++ b/configure
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+#echo "fbxkb configuration script"
+
+help () {
+ echo "supported options are:"
+ echo "--help - print this help and exit"
+ echo "--prefix=<path> specify install path. "
+ echo " <path>/bin - will hold all binaries"
+ echo " <path>/share/fbxkb - config files, pixmaps etc"
+ echo " default <path> is /usr"
+ echo "--devel - enable devel mode: no optimization + debug symbols"
+ echo "--transparency - enable EXPERIMENTAL transparency support"
+}
+
+PREFIX="/usr"
+while [ $# -gt 0 ]; do
+ case $1 in
+ --help)
+ help
+ exit 0
+ ;;
+ --prefix=*)
+ PREFIX=`echo $1 | sed 's/--prefix=//'`
+ ;;
+ --devel)
+ DEVEL=true
+ ;;
+ --transparency)
+ TRANSPARENCY=true
+ ;;
+ *)
+ echo "unknwon option $1"
+ help
+ exit 1
+ ;;
+ esac
+ shift
+done
+echo "Installation prefix is $PREFIX"
+echo "updating config.h"
+echo "//created by ./configure script" > config.h
+echo "#define PREFIX \"$PREFIX\"" >> config.h
+if [ "x$TRANSPARENCY" != "x" ]; then
+ echo "#define TRANSPARENCY"
+fi
+
+echo "updating Makefile"
+echo "PREFIX:=$PREFIX" > Makefile.config
+echo "DEVEL:=$DEVEL" >> Makefile.config
+
bgstack15